import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _MTLVertexAttributeDescriptorArray } from "./MTLVertexAttributeDescriptorArray.js";
import type { _MTLVertexBufferLayoutDescriptorArray } from "./MTLVertexBufferLayoutDescriptorArray.js";
export declare class _MTLVertexDescriptor extends _NSObject {
    static alloc(): _MTLVertexDescriptor;
    static new(): _MTLVertexDescriptor;
    init(): _MTLVertexDescriptor;
    static vertexDescriptor(): _MTLVertexDescriptor;
    reset(): void;
    layouts(): _MTLVertexBufferLayoutDescriptorArray;
    attributes(): _MTLVertexAttributeDescriptorArray;
}
export interface _MTLVertexDescriptor extends _NSCopying {
}
